Bug 434538 - sr #1768018 : numlock led does not reflect the status of numlock
sr #1768018 : numlock led does not reflect the status of numlock
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
medium Severity high
: rc
: ---
Assigned To: Mauro Carvalho Chehab
Martin Jenner
: OtherQA
Depends On:
Blocks: 391501 471469
  Show dependency treegraph
 
Reported: 2008-02-22 11:34 EST by Alan Matsuoka
Modified: 2010-10-22 18:43 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:16:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport (2.01 MB, application/x-bzip2)
2008-02-22 11:34 EST, Alan Matsuoka
no flags Details
xorg.conf from sosreport (1.10 KB, text/plain)
2008-02-26 17:07 EST, Matěj Cepl
no flags Details
Xorg.0.log from sosreport (62.27 KB, text/plain)
2008-02-26 17:07 EST, Matěj Cepl
no flags Details
dmidecode from sosreport (31.61 KB, text/plain)
2008-02-26 17:07 EST, Matěj Cepl
no flags Details
Patch for fixing the Keyboard LED (1021 bytes, patch)
2008-08-12 07:28 EDT, Mauro Carvalho Chehab
no flags Details | Diff
Patch for fixing Keyboard NUM LOCK LED version 2 (2.02 KB, patch)
2008-10-15 15:33 EDT, Mauro Carvalho Chehab
no flags Details | Diff
Patch for fixing Keyboard NUM LOCK LED version 3 (2.64 KB, patch)
2008-11-12 17:54 EST, Mauro Carvalho Chehab
no flags Details | Diff

  None (edit)
Description Alan Matsuoka 2008-02-22 11:34:33 EST
Description of problem:

1. Enable NumLock in BIOS settings.(with USB keyboard, no KVM)
2. Boot to GRUB, NumLock still work (NumLock led is on).
3. During RHEL5 booting, NumLock led turn off a few seconds, then turn on again.
4. Boot to X-window login screen, NumLock led is on but can't input 0-9 via
number key pad.

1.The numlock led status issue occurs in X GUI(tty7) and console mode(tty1~tty6).
We use "setleds" in console mode to show the LED status, it show current LED
status is off, but it is on in our keyboard.  

To fix this issue, user needs to press NumLock key to change the status of
Numlock and everything works fine, but this still occur after system reboot.

We found this issue in following keyboard:
- USB Sun keyboard, Model: TYPE 6.
- USB Dell keyboard, Model: SK-8115.
- PS/2 Logitech keyboard, Model: SK-720 M/N: Y-SA2. 
Version-Release number of selected component (if applicable):


How reproducible:
always


Steps to Reproduce:
1. Enable NumLock in BIOS settings.(with USB keyboard, no KVM)
2. Boot to GRUB, NumLock still work (NumLock led is on).
3. During RHEL5 booting, NumLock led turn off a few seconds, then turn on again.
4. Boot to X-window login screen, NumLock led is on but can't input 0-9 via
number key pad.


  
Actual results:
Numlock led is on, numlock is off

Expected results:
Numlock led should reflect the status of numlock


Additional info:
Additional info:
IT# 132104 - [Shell] Capslock and numlock LED do not light up consistently. RHEL5
Test package from this IT does not help

Temporary hackish workaround is to use numxlock ( unsupported )

sysreport attached.
Comment 1 Alan Matsuoka 2008-02-22 11:34:34 EST
Created attachment 295652 [details]
sosreport
Comment 2 Matěj Cepl 2008-02-26 17:07:34 EST
Created attachment 295996 [details]
xorg.conf from sosreport
Comment 3 Matěj Cepl 2008-02-26 17:07:41 EST
Created attachment 295997 [details]
Xorg.0.log from sosreport
Comment 4 Matěj Cepl 2008-02-26 17:07:45 EST
Created attachment 295998 [details]
dmidecode from sosreport
Comment 5 Issue Tracker 2008-02-27 08:19:34 EST
The numlock led status issue occurs when system is booted to X GUI(init 5)
or and console mode(init 3, tty1~tty6).


This event sent from IssueTracker by rkhadgar 
 issue 143833
Comment 12 Mauro Carvalho Chehab 2008-08-12 07:28:26 EDT
Created attachment 314084 [details]
Patch for fixing the Keyboard LED

Some keyboards need a quirk to reset leds. 

Could you please try the enclosed patch? 

It adds a quirk for the DELL keyboard described on your sosreport, and backports another quirk for a Logitech keyboard (not sure if the quirk is for the same model you tested, since you didn't provide the usb id).

While on this, I also added the quirk for one USB "generic" keyboard I have here with the same bug.

If it doesn't work for your Logitech keyboard, please send us its USB ID. Also, provide us the USB ID for the SUN keyboard you've also detected this issue.
Comment 14 John Feeney 2008-09-19 10:43:37 EDT
In an effort to make progress on this bugzilla, I applied the patch as
found in comment #12 and built rpms so the patch could be tested. Those rpms 
can be found on my people page (http://people.redhat.com/jfeeney/.bz434538).
Comment 15 Mauro Carvalho Chehab 2008-10-09 16:18:29 EDT
Ok, I got one DELL keyboard with the same USB ID. Tested it and the patch worked fine.

I'm now submitting the upstream patch:
    http://lkml.org/lkml/2008/10/9/342

After upstream addition, I'll submit it to RHEL 5 kernel.
Comment 16 Mauro Carvalho Chehab 2008-10-15 15:33:40 EDT
Created attachment 320479 [details]
Patch for fixing Keyboard NUM LOCK LED version 2

The patches adding support for Bright (Belkin?) and Dell keyboards are already upstream:

commit a48c65b35a6f993aec13d18a37f6ea71fbcb0c06
commit 0dc491682f6e673a14c643d9a3e7305ce4616b96

While here, I've backported support also for Logitech keyboard:

commit 3c5f4b25f3552c9bcb52eb956753a3c8140480b7

Due to a small namespace conflict, this patch renamed two names at the #define's
Comment 17 Mauro Carvalho Chehab 2008-10-16 14:58:07 EDT
The latest kernel with those patches applied is available at:

http://new-people.redhat.com/~mchehab/.bz434538/

Please test.
Comment 29 Don Zickus 2008-11-12 11:36:48 EST
in kernel-2.6.18-123.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 32 Mauro Carvalho Chehab 2008-11-12 17:54:12 EST
Created attachment 323397 [details]
Patch for fixing Keyboard NUM LOCK LED version 3

Ok, I've added the new DELL USB ID (0x2003) at the attached patch.

I've already made x86_64 kernel available at:

http://new-people.redhat.com/~mchehab/.bz434538/

I'll add i686 later today after finishing the build.

Please test.
Comment 35 Chris Ward 2008-11-14 04:41:51 EST
Please retest at next snapshot to verify the patch is correctly included and functions as expected. Thanks! Feel free to add the PartnerVerified keyword and move the bug status to VERIFIED after this is complete.
Comment 36 Chris Ward 2008-11-18 13:09:51 EST
~~ Snapshot 3 is now available ~~ 

Snapshot 3 is now available for Partner Testing, which should contain a fix that resolves this bug. ISO's available as usual at ftp://partners.redhat.com. Your testing feedback is vital! Please let us know if you encounter any NEW issues (file a new bug) or if you have VERIFIED the fix is present and functioning as expected (add PartnerVerified Keyword).

Ping your Partner Manager with any additional questions. Thanks!
Comment 37 Chris Ward 2008-11-28 01:42:09 EST
~~ Attention ~~ Snapshot 4 is now available for testing @ partners.redhat.com ~~

Partners, it is vital that we get your testing feedback on this important bug fix / feature request. If you are unable to test, please clearly indicate this in a comment to this bug or directly with your partner manager. If we do not receive your test feedback, this bug is at risk from being dropped from the release.

If you have VERIFIED the fix, please add PartnerVerified to the Bugzilla Keywords field, along with a description of the test results. 

If you encounter a new bug, CLONE this bug and request from your Partner manager to review. We are no longer excepting new bugs into the release, bar critical regressions.
Comment 43 Chris Ward 2008-12-08 06:52:00 EST
~~ Snapshot 5 is now available @ partners.redhat.com ~~ 

Partners, RHEL 5.3 Snapshot 5 is now available for testing. Please send us your testing feedback on this important bug fix / feature request AS SOON AS POSSIBLE. If you are unable to test, indicate this in a comment or escalate to your Partner Manager. If we do not receive your test feedback, this bug will be AT RISK of being dropped from the release.

If you have VERIFIED the fix, please add PartnerVerified to the Bugzilla
Keywords field, along with a description of the test results. 

If you encounter a new bug, CLONE this bug and request from your Partner
manager to review. We are no longer excepting new bugs into the release, bar
critical regressions.
Comment 44 Raghavendra Biligiri 2008-12-08 22:55:37 EST
From the comments posted in Issue Tracker# 172433 this issue is fixed in
RHEL5.3-Snapshot5.
Comment 46 errata-xmlrpc 2009-01-20 15:16:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html
Comment 48 Gerrit Slomma 2009-09-17 14:45:18 EDT
I have the same problem with a Microsoft Natural Keyboard (the original one with the extensible foot on the front) with PS/2-connector and with a Microsoft Comfort Curve Keyboard (USB) as well as with a IBM Prefered Black Keyboard (USB).
Kernels are for:

1. 2.6.18-128.1.1 (Scientific Linux)
2. 2.6.18-128.7.1 (Scientific Linux)
3. 2.6.18-155 (RHEL 5.4b)

My mother is freeked out by this as she uses the numpad to enter her password to login... ;)

Note You need to log in before you can comment on or make changes to this bug.